Files
pkgsrc-ng/net/nagios-plugins/patches/patch-configure
2013-09-26 17:14:40 +02:00

337 lines
13 KiB
Plaintext

$NetBSD: patch-configure,v 1.1 2013/01/19 09:59:12 manu Exp $
Enable check_smart_ide for NetBSD
--- configure.orig 2013-01-03 05:43:34.000000000 +0100
+++ configure 2013-01-03 06:02:14.000000000 +0100
@@ -15047,9 +15047,11 @@
echo "$as_me: WARNING: install LDAP libs to compile this plugin (see REQUIREMENTS)." >&2;}
fi
LIBS="$_SAVEDLIBS"
-if test "${ac_cv_header_linux_hdreg_h+set}" = set; then
+case $host in
+ *linux*)
+ if test "${ac_cv_header_linux_hdreg_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for linux/hdreg.h" >&5
echo $ECHO_N "checking for linux/hdreg.h... $ECHO_C" >&6; }
if test "${ac_cv_header_linux_hdreg_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15179,10 +15181,10 @@
FOUNDINCLUDE=no
fi
-if test "$FOUNDINCLUDE" = "yes" ; then
- if test "${ac_cv_header_linux_types_h+set}" = set; then
+ if test "$FOUNDINCLUDE" = "yes" ; then
+ if test "${ac_cv_header_linux_types_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for linux/types.h" >&5
echo $ECHO_N "checking for linux/types.h... $ECHO_C" >&6; }
if test "${ac_cv_header_linux_types_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15312,17 +15314,299 @@
FOUNDINCLUDE=no
fi
+ fi
+ if test "$FOUNDINCLUDE" = "no" ; then
+ { echo "$as_me:$LINENO: WARNING: Skipping check_ide_smart plugin." >&5
+echo "$as_me: WARNING: Skipping check_ide_smart plugin." >&2;}
+ { echo "$as_me:$LINENO: WARNING: check_ide_smart requires linux/hdreg.h and linux/types.h." >&5
+echo "$as_me: WARNING: check_ide_smart requires linux/hdreg.h and linux/types.h." >&2;}
+ fi
+ ;;
+ *netbsd*)
+ if test "${ac_cv_header_dev_ata_atareg_h+set}" = set; then
+ { echo "$as_me:$LINENO: checking for dev/ata/atareg.h" >&5
+echo $ECHO_N "checking for dev/ata/atareg.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_dev_ata_atareg_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_dev_ata_atareg_h" >&5
+echo "${ECHO_T}$ac_cv_header_dev_ata_atareg_h" >&6; }
+else
+ # Is the header compilable?
+{ echo "$as_me:$LINENO: checking dev/ata/atareg.h usability" >&5
+echo $ECHO_N "checking dev/ata/atareg.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <dev/ata/atareg.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
-if test "$FOUNDINCLUDE" = "yes" ; then
- EXTRAS="$EXTRAS check_ide_smart"
+ ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking dev/ata/atareg.h presence" >&5
+echo $ECHO_N "checking dev/ata/atareg.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <dev/ata/atareg.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: dev/ata/atareg.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: dev/ata/atareg.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ata/atareg.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: dev/ata/atareg.h: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: dev/ata/atareg.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: dev/ata/atareg.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ata/atareg.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: dev/ata/atareg.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ata/atareg.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: dev/ata/atareg.h: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ata/atareg.h: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: dev/ata/atareg.h: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ata/atareg.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: dev/ata/atareg.h: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ata/atareg.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: dev/ata/atareg.h: in the future, the compiler will take precedence" >&2;}
+
+ ;;
+esac
+{ echo "$as_me:$LINENO: checking for dev/ata/atareg.h" >&5
+echo $ECHO_N "checking for dev/ata/atareg.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_dev_ata_atareg_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_dev_ata_atareg_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_dev_ata_atareg_h" >&5
+echo "${ECHO_T}$ac_cv_header_dev_ata_atareg_h" >&6; }
+
+fi
+if test $ac_cv_header_dev_ata_atareg_h = yes; then
+ FOUNDINCLUDE=yes
+else
+ FOUNDINCLUDE=no
+fi
+
+
+ if test "$FOUNDINCLUDE" = "yes" ; then
+ if test "${ac_cv_header_dev_ic_wdcreg_h+set}" = set; then
+ { echo "$as_me:$LINENO: checking for dev/ic/wdcreg.h" >&5
+echo $ECHO_N "checking for dev/ic/wdcreg.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_dev_ic_wdcreg_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_dev_ic_wdcreg_h" >&5
+echo "${ECHO_T}$ac_cv_header_dev_ic_wdcreg_h" >&6; }
else
+ # Is the header compilable?
+{ echo "$as_me:$LINENO: checking dev/ic/wdcreg.h usability" >&5
+echo $ECHO_N "checking dev/ic/wdcreg.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <dev/ic/wdcreg.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking dev/ic/wdcreg.h presence" >&5
+echo $ECHO_N "checking dev/ic/wdcreg.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <dev/ic/wdcreg.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: dev/ic/wdcreg.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: dev/ic/wdcreg.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ic/wdcreg.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: dev/ic/wdcreg.h: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: dev/ic/wdcreg.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: dev/ic/wdcreg.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ic/wdcreg.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: dev/ic/wdcreg.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ic/wdcreg.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: dev/ic/wdcreg.h: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ic/wdcreg.h: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: dev/ic/wdcreg.h: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ic/wdcreg.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: dev/ic/wdcreg.h: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: dev/ic/wdcreg.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: dev/ic/wdcreg.h: in the future, the compiler will take precedence" >&2;}
+
+ ;;
+esac
+{ echo "$as_me:$LINENO: checking for dev/ic/wdcreg.h" >&5
+echo $ECHO_N "checking for dev/ic/wdcreg.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_dev_ic_wdcreg_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_dev_ic_wdcreg_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_dev_ic_wdcreg_h" >&5
+echo "${ECHO_T}$ac_cv_header_dev_ic_wdcreg_h" >&6; }
+
+fi
+if test $ac_cv_header_dev_ic_wdcreg_h = yes; then
+ FOUNDINCLUDE=yes
+else
+ FOUNDINCLUDE=no
+fi
+
+
+ fi
+ if test "$FOUNDINCLUDE" = "no" ; then
{ echo "$as_me:$LINENO: WARNING: Skipping check_ide_smart plugin." >&5
echo "$as_me: WARNING: Skipping check_ide_smart plugin." >&2;}
- { echo "$as_me:$LINENO: WARNING: check_ide_smart is linux specific. It requires linux/hdreg.h and linux/types.h." >&5
-echo "$as_me: WARNING: check_ide_smart is linux specific. It requires linux/hdreg.h and linux/types.h." >&2;}
+ { echo "$as_me:$LINENO: WARNING: check_ide_smart requires dev/ata/atareg.h and dev/ic/wdcreg.h" >&5
+echo "$as_me: WARNING: check_ide_smart requires dev/ata/atareg.h and dev/ic/wdcreg.h" >&2;}
+ fi
+ ;;
+ *)
+ { echo "$as_me:$LINENO: WARNING: Skipping check_ide_smart plugin." >&5
+echo "$as_me: WARNING: Skipping check_ide_smart plugin." >&2;}
+ { echo "$as_me:$LINENO: WARNING: check_ide_smart works only on Linux and NetBSD" >&5
+echo "$as_me: WARNING: check_ide_smart works only on Linux and NetBSD" >&2;}
+esac
+
+if test "$FOUNDINCLUDE" = "yes" ; then
+ EXTRAS="$EXTRAS check_ide_smart"
fi